/*--------------------------------------------------
  rsdpa_mpist.h
--------------------------------------------------*/

#ifndef __rsdpa_mpist_h__
#define __rsdpa_mpist_h__

#include <rsdpa_pinclude.h>
class rMpiSt
{
public:
  static int iam;
  static int nprocs;
  static int ictxt;
  static int myrow;
  static int mycol;
  static int nprow;
  static int npcol;
  static int mb;
  static int ictxt2;
  static int myrow2;
  static int mycol2;
  static int nprow2;
  static int npcol2;
  static int mb2;
  static void initialize(int& argc, char**& argv);
  static void finalize();
  static void display(FILE* fpOut);
};

// rMpiSt::mb defines how many continus rows are
// processed by one processor.

// rMpiSt::mb2 defines block size of
// two cyclic distribution of ScaLAPACK

extern "C" void rpdpotrf_(char* uplo, int* n, double* A,
			  int* ia, int* ja, int* desca, int* info);

#endif // __rsdpa_mpist_h__
